libzypp 17.37.10

zypp::target::rpm::BinHeader::stringList Class Reference

`#include <zypp/target/rpm/BinHeader.h>`

Inheritance diagram for zypp::target::rpm::BinHeader::stringList:

## Public Member Functions
bool | empty () const
unsigned | size () const
std::string | operator[] (const unsigned idx_r) const

## Private Member Functions
unsigned | set (char **val_r, unsigned cnt_r)

## Private Attributes
std::vector< std::string > | _data

## Friends
class | BinHeader

## Detailed Description

Definition at line 148 of file BinHeader.h.

## Member Function Documentation

## ◆ empty()

bool zypp::target::rpm::BinHeader::stringList::empty | ( |  | ) | const
| inline

Definition at line 151 of file BinHeader.h.

## ◆ size()

unsigned zypp::target::rpm::BinHeader::stringList::size | ( |  | ) | const
| inline

Definition at line 154 of file BinHeader.h.

## ◆ operator[]()

std::string zypp::target::rpm::BinHeader::stringList::operator[] | ( | const unsigned | idx_r | ) | const
| inline

Definition at line 157 of file BinHeader.h.

## ◆ set()

unsigned zypp::target::rpm::BinHeader::stringList::set | ( | char ** | val_r,
|  | unsigned | cnt_r )
| private

Definition at line 140 of file BinHeader.cc.

## Friends And Related Symbol Documentation

## ◆ BinHeader

friend class BinHeader
| friend

Definition at line 161 of file BinHeader.h.

## Member Data Documentation

## ◆ _data

std::vector<std::string> zypp::target::rpm::BinHeader::stringList::_data
| private

Definition at line 165 of file BinHeader.h.

The documentation for this class was generated from the following files:

- zypp/target/rpm/BinHeader.h
- zypp/target/rpm/BinHeader.cc